Subject: bug#23770: closed (Re: Cannot open file gzipped on Android in OSX)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 01 Apr 2022 17:02:03 +0000

Your bug report

#23770: Cannot open file gzipped on Android in OSX

which was filed against the gzip package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23770: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23770
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Cannot open file gzipped on Android in OSX
From: Paul Eggert <[email-masked]>
To: Abhilash Jindal <[email-masked]>
Cc: [email-masked]
Date: Fri, 1 Apr 2022 10:01:31 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

This is evidently a problem with the way you're using adb; it's not a 
gzip bug. adb will sometimes convert LF to CRLF and vice versa, which is 
not something you can do to a gzipped file. For help on that topic, 
please consult an adb expert. Closing this (old) gzip bug report.

Subject: Cannot open file gzipped on Android in OSX
From: Abhilash Jindal <[email-masked]>
To: [email-masked]
Date: Tue, 14 Jun 2016 14:58:57 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I gzipped a file on Android (BusyBox v1.21.1-jb bionic (version: 2013-07-25
21:23 +0100) multi-call binary) and am able to unzip it on Android.

But when I copy the file on to OSX (using adb) , I am not able to
decompress it.

$ gzip -d -S .0 atrace_z.0
gzip: atrace_z.0: unexpected end of file
gzip: atrace_z.0: uncompress failed
$ gzip -V
Apple gzip 251

I can still decompress on Android if I copy the file back from OSX to
Android phone. Please find the file attached.

Best regards,
abhilash